/**
 * 
 * Aufgabe:
 * Berechnung von Ranglistenpunkten aus
 * Turnierergebnissen
 * 
 * @author  Markus Jbstl
 * @version 1.0, 2000/3/11
 * 
 **/
 
import java.io.*;

public class Turnierpunkte {
  
  public static  void startmenu () {
    System.out.println( "Waehlen Sie eine der folgenden Optionen:" );  
    System.out.println( "0 ... Punktestand anzeigen" );          
    System.out.println( "1 ... Turnier eingeben" ); 
    System.out.println( "2 ... Punktestand lschen" ); 
  }
  
  
  public static void main(String[] args) throws java.io.IOException {

    BufferedReader in;
    String         line,string;
    int            auswahl,
                   kategorie,
                   platz,
                   punkte = 0;

    in = new BufferedReader(new InputStreamReader(System.in));
    startmenu();
    line = in.readLine();
    
    while (line != null) {
      auswahl = Integer.parseInt(line);
      switch (auswahl) {
      
      case 0:
      System.out.println( "Aktuelles Punktekonto: " + punkte + " Punkte !");  
      break;
      /* Turnier eingeben erfordert weitere Eingaben */
      case 1:    
        /* Kategorie */
        System.out.println( "Waehlen Sie die Kategorie des Turniers :" );          
        System.out.println( "0 ... Kategorie D" );
        System.out.println( "1 ... Kategorie C" );
        System.out.println( "2 ... Kategorie B" );        
        System.out.println( "3 ... Kategorie A" );
        line = in.readLine();
        kategorie = Integer.parseInt(line);
        
        /* erreichter Platz */  
        System.out.println( "Waehlen Sie das erreichte Ergebnis :" );          
        System.out.println( "0 ... 1.Runde" );
        System.out.println( "1 ... Achtelfinale" );
        System.out.println( "2 ... Viertelfinale" );
        System.out.println( "3 ... Halbfinale" );
        System.out.println( "4 ... Finale" );
        System.out.println( "5 ... Sieg" );
        line = in.readLine();
        platz = Integer.parseInt(line);
      
        /* Punkteberechnung durchfhren */
        if (platz != 0) {
          int i = platz + kategorie;
          /* Summenformel ergibt sich aus dem Punkteschema */
          i = i*(i+1) /2 +1;  
          System.out.println( "Sie haben " + i + " Punkte bei diesem Turnier erreicht");
          punkte+=i;   
          i=0;         
        }
        else
          System.out.println( "Sie haben 0 Punkte bei diesem Turnier erreicht");        
        break;
      case 2:  
        System.out.println( "Punktestand gelscht !" );  
        break;
      }  
      /* Weitere Bewegungen */                     
      startmenu();
      line = in.readLine();
    }
    
  }
  
}
